%define _name        mina
%global majorversion 1

Name:          apache-mina1
Version:       1.1.7
Release:       %mkrel 9
Summary:       Java network application framework version 1.x
Group:         Development/Java
License:       ASL 2.0
URL:           http://mina.apache.org
Source0:       http://archive.apache.org/dist/mina/%{version}/%{_name}-%{version}.tar.bz2
Patch0:        apache-mina-1.1.7-build-core-only.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shade-plugin

%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.

This package contains version 1.x of apache-mina.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%mvn_build -f

%install
%mvn_install

%add_maven_depmap apache-mina1/mina-core.pom apache-mina1/mina-core.jar -v "%{majorversion}"

sed -i 's/\%attr(0644,root,root) \/usr\/share\/java\/apache-mina1\/mina-core.jar//' .mfiles
sed -i 's/\%attr(0644,root,root) \/usr\/share\/maven-poms\/apache-mina1\/mina-core.pom//' .mfiles
sed -i 's/\%attr(0644,root,root) \/usr\/share\/maven-metadata\/apache-mina1.xml//' .mfiles

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt


%changelog
* Sun Dec 06 2015 tarakbumba <tarakbumba> 1.1.7-9.mga6
+ Revision: 908634
- Rebuild for Mageia 6

* Sat Jan 10 2015 daviddavid <daviddavid> 1.1.7-8.mga5
+ Revision: 809736
- update BuildRequires
- add docs on main package
- fix install files

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-7.mga5
+ Revision: 746623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-6.mga5
+ Revision: 677831
- Mageia 5 Mass Rebuild

* Sat Jan 04 2014 dmorgan <dmorgan> 1.1.7-5.mga4
+ Revision: 564652
- Add version in the mvn() provide, should help to unbreak autobuild and autorequires

* Fri Jan 03 2014 tarakbumba <tarakbumba> 1.1.7-4.mga4
+ Revision: 564416
- Package is noarch
- Revert obsoleting. This package is a dependency for zemberek-server.

  + dmorgan <dmorgan>
    - Package is retired

* Tue Oct 22 2013 umeabot <umeabot> 1.1.7-3.mga4
+ Revision: 545733
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.1.7-2.mga4
+ Revision: 501613
- Build with xmvn

* Fri Mar 22 2013 zezinho <zezinho> 1.1.7-1.mga3
+ Revision: 404561
- imported package apache-mina1

